p3d {onion} | R Documentation

## Three dimensional plotting

### Description

Three dimensional plotting of points. Produces a nice-looking 3D scatterplot with greying out of further points givin a visual depth cue

### Usage

    p3d(x, y, z, xlim = NULL, ylim = NULL, zlim = NULL, d0 = 0.2, h = 1, ...)

### Arguments

`x` | vector of x coordinates to be plotted. If a matrix, interpret the rows as 3D Cartesian coordinates
`y` | Vector of y coordinates to be plotted
`z` | Vector of z coordinates to be plotted
`xlim` | Limits of plot in x direction, with default of `NULL` meaning to use `range(x)`.
`ylim` | Limits of plot in y direction, with default of `NULL` meaning to use `range(y)`.
`zlim` | Limits of plot in z direction, with default of `NULL` meaning to use `range(z)`.
`d0` | Efolding distance for graying out (depths are standardized to be between 0 and 1).
`h` | The hue for the points, with default value of 1 corresponding to red. If `NULL`, produce black points greying to white.
`...` | Further arguments passed to `persp()` and `points()`

### Value

Value returned is that given by function `trans3d()`.

### Author(s)

Robin K. S. Hankin

### See Also

`bunny`

### Examples

    data(bunny)
    p3d(bunny,theta=3,phi=104,box=FALSE)

[Package onion version 1.2-7 Index]